import { MigrationInterface, QueryRunner } from "typeorm";

export class ProtocolTableRename1728645611919 implements MigrationInterface {
  name = "ProtocolTableRename1728645611919";

  public async up(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.renameTable("protocol_decisions", "protocol_decision");
    await queryRunner.renameTable("protocol_votings", "protocol_voting");
  }

  public async down(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.renameTable("protocol_decision", "protocol_decisions");
    await queryRunner.renameTable("protocol_voting", "protocol_votings");
  }
}
